Subject: Re: bug#13171: 24.2; mit-scheme answers "illegal character:#\U**" to xscheme-send-control-u-interrupt

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 15 Jul 2021 19:10:37 +0200

yg <[email-masked]> writes:

> 于 2012年12月13日 22:10, yg 写道:
>
> I have find where the error ,
> ;;;;;; xscheme.el
>
> (defun xscheme-send-interrupt (char mark-p)
> " Send a ^A type interrupt to the Scheme process."
> (interactive "cInterrupt character to send: ")
> (quit-process xscheme-process-name)
> ( sleep-for 0.1)
> (xscheme-send-char char)
> (sleep-for 0.1) ;if no the line the scheme will represent "illegal
> character:#\U+00"
>
> (if (and mark-p xscheme-control-g-synchronization-p)
> (xscheme-send-char 0)))

(I'm going through old bug reports that unfortunately got no response at
the time.)

I'm not sure I understand this bug report -- what is the "if no"
referring to?

But are you still seeing this issue in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no